%define upstream_name    Sort-SQL
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Manipulate SQL sort strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sort/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Sort::SQL is so simple it almost doesn't deserve to be on CPAN. But since I
kept finding myself copy/pasting this method into multiple places, I
finally figured it deserved to live in its own class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-3.mga6
+ Revision: 1033273
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 951348
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 buchan <buchan> 0.80.0-1.mga5
+ Revision: 805318
- imported package perl-Sort-SQL


* Wed Dec 24 2014 Buchan Milne <buchan> 0.08-1mga
- initial mageia release, generated with cpan2dist
